using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.Infrastructure.Interface.BusinessEntities;
using TaskViewer.TaskManagement.ServiceAgent.BusinessEntities;

using TaskViewer.Infrastructure.Library.EntityTranslators;
using TaskManagement.ServiceProxies.TaskViewer.DataService;

namespace TaskViewer.TaskManagement.ServiceAgent.EntityTranslator
{
    public class PriorityTranslator: EntityMapperTranslator<Priority, LookupInfo.PrioritiesRow>
    {
        protected override LookupInfo.PrioritiesRow BusinessToService(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, Priority value)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        protected override Priority ServiceToBusiness(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, LookupInfo.PrioritiesRow value)
        {
            Priority priority = new Priority();
            priority.PriorityID = value.PriorityID;
            priority.PriorityText = value.PriorityText;
            return priority;
        }
    }
}
