using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.Infrastructure.Interface.BusinessEntities;
using TaskViewer.TaskManagement.ServiceAgent.BusinessEntities;


using TaskViewer.Infrastructure.Library.EntityTranslators;
using TaskManagement.ServiceProxies.TaskViewer.DataService;

namespace TaskViewer.TaskManagement.ServiceAgent.EntityTranslator
{
    public class ProjectTranslator:EntityMapperTranslator<Project, ProjectsInfo.ProjectsRow>
    {
        protected override ProjectsInfo.ProjectsRow BusinessToService(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, Project value)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        protected override Project ServiceToBusiness(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, ProjectsInfo.ProjectsRow value)
        {
            Project project = new Project();
            project.DateCreated = value.DateCreated;
            project.Description = value.ProjectDescription;
            project.Name = value.ProjectName;
            project.ProjectId = value.ProjectID;
            return project;
          
        }
    }
}
