using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.Infrastructure.Interface.BusinessEntities;
using TaskViewer.TaskManagement.ServiceAgent.BusinessEntities;

using TaskViewer.Infrastructure.Library.EntityTranslators;
using TaskManagement.ServiceProxies.TaskViewer.DataService;

namespace TaskViewer.TaskManagement.ServiceAgent.EntityTranslator
{
    public class UserTranslator : EntityMapperTranslator<User, LookupInfo.UsersRow>
    {
        protected override LookupInfo.UsersRow BusinessToService(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, User value)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        protected override User ServiceToBusiness(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, LookupInfo.UsersRow value)
        {
            User user = new User();
            user.IsAccountLocked = value.IsAccountLocked;
            user.IsAdministrator = value.IsAdministrator;
            user.UserEmail = value.UserEmail;
            user.UserFullName = value.UserFullName;
            user.UserID = value.UserID;
            user.UserName = value.UserName;
            return user;
        }
    }
}
