using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {      
        // Skrivane na obecti pri zarejdane na stranicata 
        DetailsView1.Visible = false;
        DetailsView2.Visible = false;
        Label12.Visible = false;
        ErrLbl.Text = "";
        // Postavqme stoinosti po podrazbirane za DataSource-a dobavq6t v 
        // tablica WorkLoadParam, vzeti ot dropdownlist1
        SqlDataSource2.InsertParameters["WorkLoadTypeID"].DefaultValue = DropDownList1.Text;
        SqlDataSource3.InsertParameters["WorkLoadTypeID"].DefaultValue = DropDownList1.Text;

        // Logika za vizualizirane samo na ediniq ot dvata DetailView
        // v zavisimost ot DropDownList1
        if (DropDownList1.SelectedIndex == 0)
        {
            Label12.Visible = true;
            DetailsView1.Visible = true;
        }
        else if (DropDownList1.SelectedIndex == 1)
        {
            Label12.Visible = true;
            DetailsView1.Visible = false;
            DetailsView2.Visible = true;
        }    
    }
    // Procedura za vhoden kontrol pri dobavqne na zapis chrez DetailView1
    protected void DetailsView1_ItemInserted(object sender, DetailsViewInsertedEventArgs e)
    {
        // Proverka za vuznikvane na gre6ka
        if (e.Exception != null)
        {
            ErrLbl.Text = "Unable to insert the row: " + e.Exception.Message;
            // Ukazvame che nie sme obrabotili gre6kata
            e.ExceptionHandled = true;
        }
    }
    // Procedura za vhoden kontrol pri dobavqne na zapis chrez DetailView2
    protected void DetailsView2_ItemInserted(object sender, DetailsViewInsertedEventArgs e)
    {
        // Proverka za vuznikvane na gre6ka
        if (e.Exception != null)
        {
            ErrLbl.Text = "Unable to insert the row: " + e.Exception.Message;
            // Ukazvame che nie sme obrabotili gre6kata
            e.ExceptionHandled = true;
        }
    }
}
