using System;
using System.Collections.Generic;
using System.Text;
using TaskViewer.AuthService.BusinessEntities;
using TaskViewer.AuthService.DataAccess;

namespace TaskViewer.AuthService.BusinessLogic
{
    public class RegistrationManager
    {
        public System.Int32 InsertUser(User user)
        {
            UserRepository userRepository = new UserRepository(Properties.Settings.Default.TaskViewerConnectionName);
            userRepository.Add(user);
            return user.UserID;
        }

        public User UpdateUser(User user)
        {
            UserRepository userRepository = new UserRepository(Properties.Settings.Default.TaskViewerConnectionName);
            userRepository.Save(user);
            return user;
        }

        public User AthenticateUser(string username, string password)
        {
            UserRepository userRepository = new UserRepository(Properties.Settings.Default.TaskViewerConnectionName);
            User user =  userRepository.AuthenticateUser(password, username);
            if (user != null)
            {
                return userRepository.GetUserInfo(user.UserID);
            }
            else
            {
                return null;
            }
        }

        public List<User> GetUsers()
        {
            UserRepository userRepository = new UserRepository(Properties.Settings.Default.TaskViewerConnectionName);
            return userRepository.GetUsers();
        }
    }
}
