using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.ProjectManagement.BusinessEntities;
using TaskViewer.DataService.DataAccess;


namespace TaskViewer.DataService.BusinessLogic
{
    public class LookUpManager
    {
        public List<Priority> GetPriorityList()
        {
            PriorityRepository repository = new PriorityRepository(Properties.Settings.Default.dbName);
            return repository.GetPriorities();
        }

        public List<Status> GetStatusList()
        {
            StatusRepository repository = new StatusRepository(Properties.Settings.Default.dbName);
            return repository.GetStatuses();
        }

        public List<User> GetUserList()
        {
            UserRepository repository = new UserRepository(Properties.Settings.Default.dbName);
            return repository.GetUsers();
        }
    }
}
