using System.ServiceModel;
using System.Collections.Generic;

namespace TaskViewer.DataService.ServiceContracts
{
    [MessageContract]
    public class UpdateTaskRequest
    {
        private System.String ticketField;

        [MessageBodyMember(Order = 0)]
        public System.String ticket
        {
            get { return ticketField; }
            set { ticketField = value; }
        }

        private System.Int32 projectIDField;

        [MessageBodyMember(Order = 1)]
        public System.Int32 projectID
        {
            get { return projectIDField; }
            set { projectIDField = value; }
        }

        private TaskViewer.DataService.DataContracts.TasksInfo datasetTasksField;

        [MessageBodyMember(Order = 2)]
        public TaskViewer.DataService.DataContracts.TasksInfo datasetTasks
        {
            get { return datasetTasksField; }
            set { datasetTasksField = value; }
        }

    }
}


