using System;
using TaskViewer.DataService.DataContracts;
using TaskViewer.ProjectManagement.BusinessEntities;

namespace TaskViewer.DataService.ServiceImplementation
{
    public static class ProjectsInfoAndProjectTranslator
    {
        public static TaskViewer.DataService.DataContracts.ProjectsInfo.ProjectsRow TranslateProjectToProjectsInfo(TaskViewer.ProjectManagement.BusinessEntities.Project from)
        {
            ProjectsInfo.ProjectsDataTable projectTable  = new ProjectsInfo.ProjectsDataTable();
            ProjectsInfo.ProjectsRow to = projectTable.NewProjectsRow();
            to.ProjectID = from.ProjectID;
            to.ProjectName = from.ProjectName;
            to.ProjectDescription = from.ProjectDescription;
            to.DateCreated = from.DateCreated;
            projectTable.AddProjectsRow(to);
            return to;
        }

        public static TaskViewer.ProjectManagement.BusinessEntities.Project TranslateProjectsInfoToProject(TaskViewer.DataService.DataContracts.ProjectsInfo.ProjectsRow from)
        {
            TaskViewer.ProjectManagement.BusinessEntities.Project to = new TaskViewer.ProjectManagement.BusinessEntities.Project();
            to.ProjectID = from.ProjectID;
            to.ProjectName = from.ProjectName;
            to.ProjectDescription = from.ProjectDescription;
            to.DateCreated = from.DateCreated;
            return to;
        }
    }
}

