using System;
using TaskViewer.DataService.DataContracts;
using TaskViewer.ProjectManagement.BusinessEntities;

namespace TaskViewer.DataService.ServiceImplementation
{
    public static class TasksInfoAndSyncTaskTranslator
    {
        public static TaskViewer.DataService.DataContracts.TasksInfo TranslateSyncTaskToTasksInfo(TaskViewer.ProjectManagement.BusinessEntities.SyncTask from)
        {
            throw new NotImplementedException();
        }

        public static TaskViewer.ProjectManagement.BusinessEntities.SyncTask TranslateTasksInfoToSyncTask(TaskViewer.DataService.DataContracts.TasksInfo.TasksRow from)
        {
            
            //TODO change business object as needed and update mapping
            TaskViewer.ProjectManagement.BusinessEntities.Task currentTo = new TaskViewer.ProjectManagement.BusinessEntities.Task();
            TaskViewer.ProjectManagement.BusinessEntities.Task originalTo = new TaskViewer.ProjectManagement.BusinessEntities.Task();
            TaskViewer.ProjectManagement.BusinessEntities.SyncTask to = new TaskViewer.ProjectManagement.BusinessEntities.SyncTask(currentTo, originalTo);

            currentTo.AssignedTo = from.AssignedTo;
            currentTo.DateCreated = from.DateCreated;
            currentTo.DateDue = from.DateDue;
            currentTo.DateModified = from.DateModified;
            currentTo.IsDeleted = from.IsDeleted;
            currentTo.ModifiedBy = from.ModifiedBy;
            currentTo.PriorityID = from.PriorityID;
            currentTo.Progress = from.Progress;
            currentTo.ProjectID = from.ProjectID;
            currentTo.StatusID = from.StatusID;
            currentTo.TaskDescription = from.TaskDescription;
            currentTo.TaskID = from.TaskID;
            currentTo.TaskSummary = from.TaskSummary;
            switch(from.RowState)
            {
                case System.Data.DataRowState.Added:
                    to.EntityStatus = State.New;
                    break;
                case System.Data.DataRowState.Deleted:
                    to.EntityStatus = State.Deleted;
                    break;
                case System.Data.DataRowState.Modified:
                    to.EntityStatus = State.Updated;
                    TasksInfo.TasksDataTable table = new TasksInfo.TasksDataTable();
                    originalTo.AssignedTo = (int)from[table.AssignedToColumn, System.Data.DataRowVersion.Original];
                    originalTo.AssignedToText = (string)from[table.AssignedToTextColumn, System.Data.DataRowVersion.Original];
                    originalTo.DateCreated = (DateTime)from[table.DateCreatedColumn, System.Data.DataRowVersion.Original];
                    originalTo.DateDue = (DateTime) from[table.DateDueColumn, System.Data.DataRowVersion.Original];
                    originalTo.DateModified = (DateTime)from[table.DateModifiedColumn, System.Data.DataRowVersion.Original];
                    originalTo.IsDeleted = (bool)from[table.IsDeletedColumn, System.Data.DataRowVersion.Original];
                    originalTo.ModifiedBy = (int)from[table.ModifiedByColumn, System.Data.DataRowVersion.Original];
                    originalTo.ModifiedByText = (string)from[table.ModifiedByTextColumn, System.Data.DataRowVersion.Original];
                    originalTo.PriorityID = (int) from[table.PriorityIDColumn, System.Data.DataRowVersion.Original];
                    originalTo.PriorityText = (string)from[table.PriorityTextColumn, System.Data.DataRowVersion.Original];
                    originalTo.Progress = (int)from[table.ProgressColumn, System.Data.DataRowVersion.Original];
                    originalTo.ProjectID = (int)from[table.ProjectIDColumn, System.Data.DataRowVersion.Original];
                    originalTo.StatusID = (int)from[table.StatusIDColumn, System.Data.DataRowVersion.Original];
                    originalTo.StatusIDText = (string) from[table.StatusTextColumn, System.Data.DataRowVersion.Original];
                    originalTo.TaskDescription = (string)from[table.TaskDescriptionColumn, System.Data.DataRowVersion.Original];
                    originalTo.TaskID = (int)from[table.TaskIDColumn, System.Data.DataRowVersion.Original];
                    originalTo.TaskSummary = (string)from[table.TaskSummaryColumn, System.Data.DataRowVersion.Original];
                    break;
                default:
                    to.EntityStatus = State.Updated;
                    break;
            }
            
           
            return to;
        }
    }
}

