using System;
using TaskViewer.DataService.DataContracts;
using TaskViewer.ProjectManagement.BusinessEntities;

namespace TaskViewer.DataService.ServiceImplementation
{
    public static class TasksInfoAndTaskTranslator
    {
        public static TaskViewer.DataService.DataContracts.TasksInfo.TasksRow TranslateTaskToTasksInfo(TaskViewer.ProjectManagement.BusinessEntities.Task from)
        {
            TasksInfo.TasksDataTable taskTable=new TasksInfo.TasksDataTable();
            TasksInfo.TasksRow to = taskTable.NewTasksRow();
            to.AssignedTo = from.AssignedTo;
            to.AssignedToText = from.AssignedToText;
            to.DateCreated = from.DateCreated;
            to.DateDue = from.DateDue;
            to.DateModified = from.DateModified;
            to.IsDeleted = from.IsDeleted;
            to.ModifiedBy = from.ModifiedBy;
            to.ModifiedByText = from.ModifiedByText;
            to.PriorityID = from.ProjectID;
            to.PriorityText = from.PriorityText;
            to.Progress = from.Progress;
            to.ProjectID = from.ProjectID;           
            to.StatusID = from.StatusID;
            to.StatusText = from.StatusIDText;
            to.TaskDescription = from.TaskDescription;
            to.TaskID = from.TaskID;
            to.TaskSummary = from.TaskSummary;
            taskTable.AddTasksRow(to);
            return to;
        }

        public static TaskViewer.ProjectManagement.BusinessEntities.Task TranslateTasksInfoToTask(TaskViewer.DataService.DataContracts.TasksInfo.TasksRow from)
        {
            throw new NotImplementedException();
        }
    }
}

