using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace TaskViewer.Infrastructure.Interface.Services
{
    public interface IMessageBoxService
    {
        DialogResult Show(string text);
        DialogResult Show(string text, string caption);
        DialogResult Show(string text, string caption, MessageBoxButtons buttons);
        DialogResult Show(string text, string caption, MessageBoxButtons buttons, MessageBoxIcon icon);
    }
}
