using System;
using System.Collections.Generic;
using System.Text;



namespace TaskViewer.TaskManagement.ServiceAgent.BusinessEntities
{
    public class Project
    {
        #region Members and Properties
        private Int32 _projectId;

        public Int32 ProjectId
        {
            get { return _projectId; }
            set { _projectId = value; }
        }
        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
        private string _description;

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }
        private DateTime _dateCreated;

        public DateTime DateCreated
        {
            get { return _dateCreated; }
            set { _dateCreated = value; }
        }
        #endregion

        #region Constructors
        public Project()
        {
        }

        public Project(int projectId, string projectName, string projectDescription, DateTime dateCreated)
        {
            this._projectId = projectId;
            this._name = projectName;
            this._description = projectDescription;
            this.DateCreated = dateCreated;
        }
        #endregion
    }
}
