using System;
using System.Collections.Generic;
using System.Text;



namespace TaskViewer.TaskManagement.ServiceAgent.BusinessEntities
{
    public class Task
    {
        #region Members and Properties
        private Int32 _taskId;

        public Int32 TaskId
        {
            get { return _taskId; }
            set { _taskId = value; }
        }
        private Int32 _projectId;

        public Int32 ProjectId
        {
            get { return _projectId; }
            set { _projectId = value; }
        }
        private Int32 _priorityID;

        public Int32 PriorityID
        {
            get { return _priorityID; }
            set { _priorityID = value; }
        }
        private Int32 _assignedToID;

        public Int32 AssignedToID
        {
            get { return _assignedToID; }
            set { _assignedToID = value; }
        }
        private Int32 _ModifiedByID;

        public Int32 ModifiedByID
        {
            get { return _ModifiedByID; }
            set { _ModifiedByID = value; }
        }
        private Int32 _statusID;

        public Int32 StatusID
        {
            get { return _statusID; }
            set { _statusID = value; }
        }
        private string _modifiedBy;

        public string ModifiedBy
        {
            get { return _modifiedBy; }
            set { _modifiedBy = value; }
        }
        private string _assignedTo;

        public string AssignedTo
        {
            get { return _assignedTo; }
            set { _assignedTo = value; }
        }
        private string _taskSummary;

        public string TaskSummary
        {
            get { return _taskSummary; }
            set { _taskSummary = value; }
        }
        private string _taskDescription;

        public string TaskDescription
        {
            get { return _taskDescription; }
            set { _taskDescription = value; }
        }
        private string _priority;

        public string Priority
        {
            get { return _priority; }
            set { _priority = value; }
        }
        private string _status;

        public string Status
        {
            get { return _status; }
            set { _status = value; }
        }
        private int _progress;

        public int Progress
        {
            get { return _progress; }
            set { _progress = value; }
        }
        private bool _isDeleted;

        public bool IsDeleted
        {
            get { return _isDeleted; }
            set { _isDeleted = value; }
        }
        private DateTime _dueDate;

        public DateTime DueDate
        {
            get { return _dueDate; }
            set { _dueDate = value; }
        }
        private DateTime _dateModified;

        public DateTime DateModified
        {
            get { return _dateModified; }
            set { _dateModified = value; }
        }
        private DateTime _DateCreated;

        public DateTime DateCreated
        {
            get { return _DateCreated; }
            set { _DateCreated = value; }
        }
        #endregion

        #region Constructors
        public Task()
        {
        }

        public Task(int taskId, int projectId, int modifiedbyId, int assignedToId, string taskSummary, string taskDescription, int priorityId, int statusId,int progress, bool isDeleted, DateTime dateDue, DateTime dateModified, DateTime dateCreated, string priority, string status, string assignedTo, string modifiedBy)
        {
            this._taskId = taskId;
            this._projectId = projectId;
            this._modifiedBy = modifiedBy;
            this._assignedToID = assignedToId;
            this._taskSummary = taskSummary;
            this._taskDescription = taskDescription;
            this._priorityID = priorityId;
            this._statusID = statusId;
            this._progress = progress;
            this._isDeleted = IsDeleted;
            this._dueDate = dateDue;
            this._dateModified = dateModified;
            this._DateCreated = DateCreated;
            this._priority = priority;
            this._status = status;
            this._assignedTo = assignedTo;
            this._modifiedBy = modifiedBy;
        }
        #endregion 

    }
}
