using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.Infrastructure.Interface.BusinessEntities;
using TaskViewer.TaskManagement.ServiceAgent.BusinessEntities;


using TaskViewer.Infrastructure.Library.EntityTranslators;
using TaskManagement.ServiceProxies.TaskViewer.DataService;

namespace TaskViewer.TaskManagement.ServiceAgent.EntityTranslator
{
    public class StatusTranslator: EntityMapperTranslator<Status, LookupInfo.StatusesRow>
    {
        protected override LookupInfo.StatusesRow BusinessToService(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, Status value)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        protected override Status ServiceToBusiness(TaskViewer.Infrastructure.Interface.Services.IEntityTranslatorService service, LookupInfo.StatusesRow value)
        {
            Status status = new Status();
            status.StatusID = value.StatusID;
            status.StatusText = value.StatusText;
            return status;
        }
    }
}
