﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using TaskViewer.AuthService.BusinessEntities;

namespace TaskViewer.AuthService.DataAccess
{
    /// <summary>
    /// Construct a User object from a datareader.
    /// </summary>
    internal class AuthenticateUserFactory : IDomainObjectFactory<User>
    {
        public User Construct(IDataReader reader)
        {
			User user = new User();
			
			int userIDIndex = reader.GetOrdinal("UserID"); 
            if(!reader.IsDBNull(userIDIndex))
            {
				user.UserID= reader.GetInt32(userIDIndex);

			}

           
			return user; 
        }
    }
}

