using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace TaskViewer.AuthService.DataContracts
{
    /// <summary>
    /// Data Contract Class - UserInformation
    /// </summary>
    [DataContract(Namespace = "http://TaskViewer.AuthService.DataContracts/2007/07", Name = "UserInformation")]
    public partial class UserInformation
    {
        private System.Int32 userIDField;

        [DataMember(IsRequired = true, Name = "userID", Order = 0)]
        public System.Int32 userID
        {
            get { return userIDField; }
            set { userIDField = value; }
        }

        private System.String userNameField;

        [DataMember(IsRequired = false, Name = "userName", Order = 1)]
        public System.String userName
        {
            get { return userNameField; }
            set { userNameField = value; }
        }

        private System.String userPasswordField;

        [DataMember(IsRequired = false, Name = "userPassword", Order = 2)]
        public System.String userPassword
        {
            get { return userPasswordField; }
            set { userPasswordField = value; }
        }

        private System.String userFullNameField;

        [DataMember(IsRequired = false, Name = "userFullName", Order = 3)]
        public System.String userFullName
        {
            get { return userFullNameField; }
            set { userFullNameField = value; }
        }

        private System.String userEmailField;

        [DataMember(IsRequired = false, Name = "userEmail", Order = 4)]
        public System.String userEmail
        {
            get { return userEmailField; }
            set { userEmailField = value; }
        }

        private System.Boolean isAdministratorField;

        [DataMember(IsRequired = true, Name = "isAdministrator", Order = 5)]
        public System.Boolean isAdministrator
        {
            get { return isAdministratorField; }
            set { isAdministratorField = value; }
        }

        private System.Boolean isAccountLockedField;

        [DataMember(IsRequired = true, Name = "isAccountLocked", Order = 6)]
        public System.Boolean isAccountLocked
        {
            get { return isAccountLockedField; }
            set { isAccountLockedField = value; }
        }

    }
}
