using System;
using System.ServiceModel;

namespace TaskViewer.AuthService.ServiceContracts
{
    [ServiceContract(Namespace = "http://TaskViewer.AuthService.ServiceContracts/2007/07", Name = "IAuthorizationService", SessionMode = SessionMode.Allowed)]
    public interface IAuthorizationService
    {
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetAuthorizationTicket")]
        TaskViewer.AuthService.ServiceContracts.GetAuthorizationTicketResponse GetAuthorizationTicket(TaskViewer.AuthService.ServiceContracts.GetAuthorizationTicketRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetUserInfo")]
        TaskViewer.AuthService.ServiceContracts.GetUserInfoResponse GetUserInfo(TaskViewer.AuthService.ServiceContracts.GetUserInfoRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "InsertUser")]
        TaskViewer.AuthService.ServiceContracts.InsertUserResponse InsertUser(TaskViewer.AuthService.ServiceContracts.InsertUserRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "UpdateUser")]
        TaskViewer.AuthService.ServiceContracts.UpdateUserResponse UpdateUser(TaskViewer.AuthService.ServiceContracts.UpdateUserRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "ChangePassword")]
        TaskViewer.AuthService.ServiceContracts.ChangePasswordResponse ChangePassword(TaskViewer.AuthService.ServiceContracts.ChangePasswordRequest request);
    }
}
