using System;
using TaskViewer.AuthService.DataContracts;
using TaskViewer.AuthService.BusinessEntities;

namespace TaskViewer.AuthService.ServiceImplementation
{
    public static class UserInformationUserTranslator
    {
        public static TaskViewer.AuthService.DataContracts.UserInformation TranslateUserToUserInformation(TaskViewer.AuthService.BusinessEntities.User from)
        {
            TaskViewer.AuthService.DataContracts.UserInformation to = new TaskViewer.AuthService.DataContracts.UserInformation();
            to.userID = from.UserID;
            to.userName = from.UserName;
            to.userPassword = from.UserPassword;
            to.userFullName = from.UserFullName;
            to.userEmail = from.UserEmail;
            to.isAdministrator = from.IsAdministrator;
            to.isAccountLocked = from.IsAccountLocked;
            return to;
        }

        public static TaskViewer.AuthService.BusinessEntities.User TranslateUserInformationToUser(TaskViewer.AuthService.DataContracts.UserInformation from)
        {
            TaskViewer.AuthService.BusinessEntities.User to = new TaskViewer.AuthService.BusinessEntities.User();
            to.UserID = from.userID;
            to.UserName = from.userName;
            to.UserPassword = from.userPassword;
            to.UserFullName = from.userFullName;
            to.UserEmail = from.userEmail;
            to.IsAdministrator = from.isAdministrator;
            to.IsAccountLocked = from.isAccountLocked;
            return to;
        }
    }
}

