using System;
using System.Collections.Generic;
using System.Text;

using TaskViewer.ProjectManagement.BusinessEntities;
using TaskViewer.DataService.DataAccess;

namespace TaskViewer.DataService.BusinessLogic
{
    public class ProjectManager
    {
        public List<Project> GetProjectList()
        {
            ProjectRepository repository = new ProjectRepository(Properties.Settings.Default.dbName);
            return repository.GetProjects();
        }

        public void AddProject(string Name, string Description)
        {
            Project  newProject = new Project();
            newProject.ProjectName = Name;
            newProject.ProjectDescription = Description;
            ProjectRepository repository = new ProjectRepository(Properties.Settings.Default.dbName);
            repository.Add(newProject);

        }
    }
}
