using System;
using System.ServiceModel;

namespace TaskViewer.DataService.ServiceContracts
{
    [ServiceContract(Namespace = "http://TaskViewer.DataService.ServiceContracts/2007/07", Name = "IDataService", SessionMode = SessionMode.Allowed)]
    public interface IDataService
    {
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetProjects")]
        TaskViewer.DataService.ServiceContracts.GetProjectsResponse GetProjects(TaskViewer.DataService.ServiceContracts.GetProjectsRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetTasks")]
        TaskViewer.DataService.ServiceContracts.GetTasksResponse GetTasks(TaskViewer.DataService.ServiceContracts.GetTasksRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "UpdateTasks")]
        TaskViewer.DataService.ServiceContracts.UpdateTaskResponse UpdateTasks(TaskViewer.DataService.ServiceContracts.UpdateTaskRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetLookupTables")]
        TaskViewer.DataService.ServiceContracts.GetLookUpTablesResponse GetLookupTables(TaskViewer.DataService.ServiceContracts.GetLookUpTablesRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetProjectHistory")]
        TaskViewer.DataService.ServiceContracts.GetProjectHistoryResponse GetProjectHistory(TaskViewer.DataService.ServiceContracts.GetProjectHistoryRequest request);
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "InsertProject")]
        TaskViewer.DataService.ServiceContracts.InsertProjectResponse InsertProject(TaskViewer.DataService.ServiceContracts.InsertProjectRequest request);
    }
}
