using System;
using TaskViewer.DataService.DataContracts;
using TaskViewer.ProjectManagement.BusinessEntities;

namespace TaskViewer.DataService.ServiceImplementation
{
    public static class LookupInfoAndUserTranslator
    {
        public static TaskViewer.DataService.DataContracts.LookupInfo.UsersRow TranslateUserToLookupInfo(TaskViewer.ProjectManagement.BusinessEntities.User from)
        {
            LookupInfo.UsersDataTable usersTable = new LookupInfo.UsersDataTable();
            TaskViewer.DataService.DataContracts.LookupInfo.UsersRow to = usersTable.NewUsersRow();
            to.UserID = from.UserID;
            to.UserName = from.UserName;
            to.UserFullName = from.UserFullName;
            to.UserEmail = from.UserEmail;
            to.IsAdministrator = from.IsAdministrator;
            to.IsAccountLocked = from.IsAccountLocked;
            usersTable.AddUsersRow(to);
            return to;
        }

        public static TaskViewer.ProjectManagement.BusinessEntities.User TranslateLookupInfoToUser(TaskViewer.DataService.DataContracts.LookupInfo from)
        {
            throw new NotImplementedException();
            //TODO Delete
            //TaskViewer.ProjectManagement.BusinessEntities.User to = new TaskViewer.ProjectManagement.BusinessEntities.User();
            //return to;
        }
    }
}

